#95 SMTP-Error gmail.script

open
nobody
None
5
2006-01-06
2005-12-05
abertier
No

The problem occurs when sending a mail with empty
subject.

I receive the following error in my mailclient (opera):
"Temporary server error [451 error sending message]"

this is the Console output:
INFO: ./scripts//gmail.script: Response 200 for request
'GET http://mail.google.com/mail? ...........'
Dec 5, 2005 2:25:41 PM org.mrbook.mrpostman.generic.
GenericMailSession sendMessage
SEVERE: ./scripts//gmail.script: Error sending message:
java.lang.NullPointerException
Dec 5, 2005 2:25:41 PM org.mrbook.mrpostman.smtp.
SmtpConnection parseLine
INFO: Error sending message using 'generic'
Dec 5, 2005 2:25:41 PM org.mrbook.mrpostman.smtp.
SmtpConnection parseLine
WARNING: Smtp command not supported: 'RSET'

Tnx in advance

Discussion

  • Martin Vlcek

    Martin Vlcek - 2006-01-01

    Logged In: YES
    user_id=1020004

    The problem is the mail client using the RSET command, not
    the script. In Release 1.2.2 this RSET command is supported.
    Please test it.

     
  • Martin Vlcek

    Martin Vlcek - 2006-01-01
    • status: open --> pending-fixed
     
  • abertier

    abertier - 2006-01-04

    Logged In: YES
    user_id=1284536

    Hi, i just tried with version 1.2.3, It still doesn't work,
    but it gets further.

    this is the output:
    Jan 4, 2006 8:59:27 AM org.mrbook.mrpostman.smtp.SmtpServer
    run
    INFO: Someone connected
    Jan 4, 2006 8:59:27 AM org.mrbook.mrpostman.smtp.SmtpServer
    isSocketAllowed
    INFO: /127.0.0.1 /127.0.0.1
    Jan 4, 2006 8:59:27 AM org.mrbook.mrpostman.smtp.SmtpServer
    run
    INFO: Connection accepted for IP /127.0.0.1
    Jan 4, 2006 8:59:27 AM org.mrbook.mrpostman.MrPostman
    initialiseProxy
    INFO: Using HTTP proxy 150.45.87.133:8080
    Jan 4, 2006 8:59:28 AM org.mrbook.mrpostman.generic.
    GenericRobot post
    INFO: ./scripts//gmail.script: Response 302 for request
    'POST https://www.google.com/accounts/ServiceLoginAuth',
    location 'https://www.google.com/accounts/CheckCookie?
    continue=h...
    Jan 4, 2006 8:59:28 AM org.mrbook.mrpostman.generic.
    GenericRobot get
    INFO: ./scripts//gmail.script: Response 200 for request 'GET
    https://www.google.com/accounts/CheckCookie?continue=h...
    Jan 4, 2006 8:59:28 AM org.apache.commons.httpclient.
    HttpMethodBase processRedirectResponse
    WARNING: Redirect from protocol http to https is not
    supported
    Jan 4, 2006 8:59:28 AM org.mrbook.mrpostman.generic.
    GenericRobot get
    INFO: ./scripts//gmail.script: Response 302 for request 'GET
    http://mail.google.com/mail?auth\u00...', location 'https://
    www.google.com/accounts/ServiceLogin?
    service=mail&passive=true&rm=false&continue=http%3A%2F%
    2Fmail.google.com%2Fma...'
    Jan 4, 2006 8:59:28 AM org.apache.commons.httpclient.
    HttpMethodBase processRedirectResponse
    WARNING: Redirect from protocol https to http is not
    supported
    Jan 4, 2006 8:59:28 AM org.mrbook.mrpostman.generic.
    GenericRobot get
    INFO: ./scripts//gmail.script: Response 302 for request 'GET
    https://www.google.com/accounts/ServiceLogin?
    service=mail&passive=true&rm=false&continue=http%3A%2F%...',
    location 'http://mail.google.com/mail?5Cu003dDQ...'
    Jan 4, 2006 8:59:29 AM org.mrbook.mrpostman.generic.
    GenericRobot get
    INFO: ./scripts//gmail.script: Response 200 for request 'GET
    http://mail.google.com/mail?5Cu...'
    Jan 4, 2006 8:59:29 AM org.mrbook.mrpostman.generic.
    GenericMailSession sendMessage
    SEVERE: ./scripts//gmail.script: Error sending message:
    java.lang.NullPointerException
    Jan 4, 2006 8:59:29 AM org.mrbook.mrpostman.smtp.
    SmtpConnection parseLine
    INFO: Error sending message using 'generic'

     
  • abertier

    abertier - 2006-01-04
    • status: pending-fixed --> open-fixed
     
  • Martin Vlcek

    Martin Vlcek - 2006-01-05

    Logged In: YES
    user_id=1020004

    Is it all mails or just a specific one?
    Please send me (mvlcek AT users.sourceforge.net) your test
    mail(s) via regular SMTP server (e.g. your ISPs).

     
  • abertier

    abertier - 2006-01-06
    • status: open-fixed --> open
     
  • abertier

    abertier - 2006-01-06

    Logged In: YES
    user_id=1284536

    as I mentioned in the first post I've only seen the problem
    when I leave the subject empty.

    I'll also attach the logfile (from opera with the SMTP-
    communication) what I did in this logfile was first sending
    a mail with subject, after that delete the subject and just
    resend...

     
  • abertier

    abertier - 2006-01-06

    logging of smtp-traffic in a good and bad situation

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks